
import numpy as np
import math
import linecache
import  matplotlib.pyplot as plt
np.set_printoptions(threshold=np.inf)
import warnings
warnings.filterwarnings("ignore")



def get_traj(file_name):
    f = open(file_name, 'r')
    contents = f.readlines()
    f.close()
    d = []
    for i in contents:  
        i = i.split()
        data1 = list(map(lambda x: float(x), i))
        d.append(data1)
    d = np.array(d)
    return d


traj2 = get_traj(file_name2)
traj3 = get_traj(file_name3)
traj4 = get_traj(file_name4)
traj5 = get_traj(file_name5)
traj6 = get_traj(file_name6)
traj8 = get_traj(file_name8)
traj9 = get_traj(file_name9)
traj = np.row_stack((traj2,traj3,traj4,traj5,traj6,traj8))
m,n = traj.shape

#print(traj)




c = traj[:,[0,1,2]]
t = traj[:,[3]]
l = traj[:,[4]]
x = traj[:,[5]]

t1 = np.array(t).reshape(m)
l1 = np.array(l).reshape(m)
x1 = np.array(x).reshape(m)


#-----------------------------------------------------------------------------------
from sklearn import manifold
from sklearn import decomposition

n_neighbors=23
n_components=2


#LLE
#print(c)
Y = manifold.LocallyLinearEmbedding(n_neighbors,n_components).fit_transform(c)
Y = np.column_stack((Y,t,l))
#print(Y)
#Each color represents a different reaction path
plt.figure(figsize=(10,5.5),dpi=1000)
plt.scatter(Y[:,0],Y[:,1],c=x1,s=5,
            alpha=0.5)
plt.xlabel('RC_1')
plt.ylabel('RC_2')
plt.title("LEE")
#plt.savefig(r'D:\test_data\pic\test1.jpg')
plt.show()




#Color represents change over time
plt.figure(figsize=(10,5.5),dpi=1000)
plt.scatter(Y[:,0],Y[:,1],c=t1,s=5,
            alpha =0.5)
plt.colorbar()
plt.xlabel('RC_1')
plt.ylabel('RC_2')
plt.title("LEE-time")
#plt.savefig(r'D:\test_data\pic\test2.jpg')
plt.show()

