import os
import gc
import numpy as np
from sklearn import manifold
from sklearn import decomposition



print("work is begining")



def get_traj(file_name):
    f = open(file_name, 'r')
    contents = f.readlines()
    f.close()
    d = []
    for i in contents: 
        i = i.split()
        data1 = list(map(lambda x: float(x), i))
        d.append(data1)
    d = np.array(d)
    return d



# print(traj)
def get_isomap(traj_name,save_name):
    c = traj_name[:, [0, 1, 2, 3, 4, 5]]
    t = traj_name[:, [6]]
    l = traj_name[:, [7]]
    k = traj_name[:, [8]]


    n_neighbors = 100
    n_components = 2


    Y = manifold.Isomap(n_neighbors, n_components).fit_transform(c)
    Y = np.column_stack((Y, t, l,k))
    np.savetxt(save_name,Y,fmt='%0.8f')




path = r''
for root ,dirs, files in os.walk(path):
    #print(root)  #current directory 
    #print(dirs)  #Subdirectories under the current directory
    #print(files[0]) #A non-subdirectory in the current directory
    name="isomap_"
    for i in files:
            if i != "t.pbs" and i != "x.py":
                file_name = os.path.join(root,i)
                save_name = os.path.join(root,name+i)
                traj = get_traj(file_name)
                get_isomap(traj, save_name)
                gc.collect()


print("flish!")

